function Create(self)
	self.minframe = 0
	self.maxframe = 0
	self.growthframe = 0
	self.counter = 0
	self.lifetimer = Timer()

	local chance = math.random(1, 8)
	if chance == 1 then
		self.minframe = 1
		self.maxframe = 4
		self.growthframe = 2
	elseif chance == 2 then
		self.minframe = 5
		self.maxframe = 8
		self.growthframe = 6
	elseif chance == 3 then
		self.minframe = 9
		self.maxframe = 12
		self.growthframe = 10
	elseif chance == 4 then
		self.minframe = 13
		self.maxframe = 16
		self.growthframe = 14
	elseif chance == 5 then
		self.minframe = 1
		self.maxframe = 3
		self.growthframe = 2
	elseif chance == 6 then
		self.minframe = 5
		self.maxframe = 7
		self.growthframe = 6
	elseif chance == 7 then
		self.minframe = 9
		self.maxframe = 11
		self.growthframe = 10
	elseif chance == 8 then
		self.minframe = 13
		self.maxframe = 15
		self.growthframe = 14
	end
end

function Update(self)
	self.ToSettle = false
	if self.lifetimer:IsPastSimMS(1000) == true then
		self.lifetimer:Reset()
		if self.minframe < self.maxframe then
			self.minframe = self.minframe + 1
		elseif self.minframe == self.maxframe then
			if self:GetAltitude(0, 4) < 2 then
				self.ToSettle = true
			end
		end
	end
	self.Frame = self.minframe

	if self.minframe == self.growthframe and self.counter == 0 then
		local vec = Vector(0, -3)
		if self.Mass == 1 then
			vec.X = -10
		else
			vec.X = 10
		end
		local hit = SceneMan:CastStrengthRay(self.Pos + Vector(0, -5), vec, 81, Vector(), 0, 144, true)

		if hit == false then
			local grass = CreateMOPixel("Grey Moss Seed B", "Xenobiology.rte")
			grass.Pos = self.Pos + vec
			grass.Mass = self.Mass
			MovableMan:AddParticle(grass)
		end

		self.counter = 1
	end
end
