function Create(self)
	self.minframe = 0
	self.maxframe = 0
	self.growthframe = 0
	self.counter = 0
	self.lifetimer = Timer()

	local chance = math.random(1, 13)
	if chance == 1 then
		local burst = CreateMOSRotating("Burst Pod", "Xenobiology.rte")
		burst.Pos = self.Pos
		burst.Vel = Vector(0, 0)
		burst.RotAngle = 0
		MovableMan:AddParticle(burst)
	elseif chance == 2 then
		self.minframe = 8
		self.maxframe = 12
		self.growthframe = 11
	elseif chance == 3 then
		self.minframe = 14
		self.maxframe = 18
		self.growthframe = 17
	elseif chance == 4 then
		self.minframe = 20
		self.maxframe = 24
		self.growthframe = 23
	elseif chance == 5 then
		self.minframe = 26
		self.maxframe = 30
		self.growthframe = 28
	elseif chance == 6 then
		self.minframe = 8
		self.maxframe = 12
		self.growthframe = 11
	elseif chance == 7 then
		self.minframe = 14
		self.maxframe = 18
		self.growthframe = 17
	elseif chance == 8 then
		self.minframe = 20
		self.maxframe = 24
		self.growthframe = 23
	elseif chance == 9 then
		self.minframe = 26
		self.maxframe = 30
		self.growthframe = 28
	elseif chance == 10 then
		self.minframe = 8
		self.maxframe = 12
		self.growthframe = 11
	elseif chance == 11 then
		self.minframe = 14
		self.maxframe = 18
		self.growthframe = 17
	elseif chance == 12 then
		self.minframe = 20
		self.maxframe = 24
		self.growthframe = 23
	elseif chance == 13 then
		self.minframe = 26
		self.maxframe = 30
		self.growthframe = 28
	end
end

function Update(self)
	self.ToSettle = false
	if self.lifetimer:IsPastSimMS(300) == true then
		self.lifetimer:Reset()
		if self.minframe < self.maxframe then
			self.minframe = self.minframe + 1
		elseif self.minframe == self.maxframe then
			if self:GetAltitude(0, 4) < 2 then
				self.ToSettle = true
			end
		end
	end
	self.Frame = self.minframe

	if self.minframe == self.growthframe and self.counter == 0 then
		local vec = Vector(0, -3)
		if self.Mass == 1 then
			vec.X = -6
		else
			vec.X = 6
		end
		local hit = SceneMan:CastStrengthRay(self.Pos + Vector(0, -5), vec, 81, Vector(), 0, 144, true)

		if hit == false then
			local grass = CreateMOPixel("Red Grass Seed B", "Xenobiology.rte")
			grass.Pos = self.Pos + vec
			grass.Mass = self.Mass
			MovableMan:AddParticle(grass)
		end

		self.counter = 1
	end
end
