function Create(self)
	self.animTimer = Timer()
	self.frameChangeTime = 100
	self.breakFrame = 3
	self.maxFrame = 0
	self.nextFrame = 0
	self.Scale = 0

	self.RotAngle = math.random(-45, 45)
	self.Pos = self.Pos + Vector(0, math.random(-2, 2))

	local flower = math.random(1, 2)
	if flower == 1 then
		self.HFlipped = true
	elseif flower == 2 then
		self.HFlipped = false
	end

	local chance = math.random(1, 20)
	if chance == 1 then
		self.maxFrame = 6
		self.nextFrame = 4
	elseif chance == 2 then
		self.maxFrame = 10
		self.nextFrame = 7
	elseif chance == 3 then
		self.maxFrame = 14
		self.nextFrame = 11
	elseif chance == 4 then
		self.maxFrame = 18
		self.nextFrame = 15
	elseif chance == 5 then
		self.maxFrame = 22
		self.nextFrame = 19
	elseif chance == 6 then
		self.maxFrame = 26
		self.nextFrame = 23
	elseif chance == 7 then
		self.maxFrame = 30
		self.nextFrame = 27
	elseif chance == 8 then
		self.maxFrame = 34
		self.nextFrame = 31
	elseif chance == 9 then
		self.maxFrame = 38
		self.nextFrame = 35
	elseif chance == 10 then
		self.maxFrame = 42
		self.nextFrame = 39
	elseif chance == 11 then
		self.maxFrame = 5
		self.nextFrame = 4
	elseif chance == 12 then
		self.maxFrame = 9
		self.nextFrame = 7
	elseif chance == 13 then
		self.maxFrame = 13
		self.nextFrame = 11
	elseif chance == 14 then
		self.maxFrame = 17
		self.nextFrame = 15
	elseif chance == 15 then
		self.maxFrame = 21
		self.nextFrame = 19
	elseif chance == 16 then
		self.maxFrame = 25
		self.nextFrame = 23
	elseif chance == 17 then
		self.maxFrame = 29
		self.nextFrame = 27
	elseif chance == 18 then
		self.maxFrame = 33
		self.nextFrame = 31
	elseif chance == 19 then
		self.maxFrame = 37
		self.nextFrame = 35
	elseif chance == 20 then
		self.maxFrame = 41
		self.nextFrame = 39
	end
end

function Update(self)
	if not self.Parent then
		for i = 1, MovableMan:GetMOIDCount() - 1 do
			local mo = MovableMan:GetMOFromID(i)
			if mo.PresetName == "Stem" then
			end
			if mo.PresetName == "Stem" and mo.RootID == self.RootID then
				self.Parent = ToMovableObject(mo)
				break
			end
		end
	end

	if self.Parent then
		if self.Parent.PresetName == "Stem" and self.Parent.ID ~= 255 then
			if self.Parent.Sharpness == 1 and self.Sharpness == 0 then
				self.Scale = self.Parent.Scale
				if self.Frame >= self.breakFrame then
					self.Frame = self.nextFrame
					self.Sharpness = 1
				else
					if self.animTimer:IsPastSimMS(self.frameChangeTime) and self.Sharpness == 0 then
						self.Frame = self.Frame + 1
						self.animTimer:Reset()
					end
				end
			end

			if self.Frame >= self.maxFrame and self.Sharpness == 1 then
				self.Frame = self.maxFrame
				self.ToSettle = true
			else
				if self.animTimer:IsPastSimMS(self.frameChangeTime) then
					self.Frame = self.Frame + 1
					self.animTimer:Reset()
				end
			end
		else
			self.ToDelete = true
		end
	end
end
