function Create(self)
	self.LifeTimer = Timer()
	self.target = nil
	self.targetclass = nil
	self.stickpositionX = 0
	self.stickpositionY = 0
	self.stickrotation = 0
	self.stickdirection = 0
end

function Update(self)
	if self.target == nil then
		local stickobject = SceneMan:CastMORay(self.Pos, Vector(5, 0):RadRotate(self.RotAngle), 255, -4, 0, false, 0)
		if stickobject ~= 255 then
			self.target = MovableMan:GetMOFromID(stickobject)
			self.targetclass = self.target.ClassName
			self.stickpositionX = self.Pos.X - self.target.Pos.X
			self.stickpositionY = self.Pos.Y - self.target.Pos.Y
			self.stickrotation = self.target.RotAngle
			self.stickdirection = self.RotAngle
			self.LifeTimer:Reset()
		end
	elseif self.target ~= nil and self.target.ID ~= 255 then
		self.ToDelete = false
		self.ToSettle = false
		self.Pos = self.target.Pos
			+ Vector(self.stickpositionX, self.stickpositionY):RadRotate(self.target.RotAngle - self.stickrotation)
		self.RotAngle = self.stickdirection + (self.target.RotAngle - self.stickrotation)
		self.Vel = Vector(0, 0)
		self.PinStrength = 1000
	else
		self.ToDelete = true
	end

	if self.LifeTimer:IsPastSimMS(10000) then
		self.ToDelete = true
		local createdropper = CreateMOSRotating("Strange Seed", "Xenobiology.rte")
		createdropper.Pos = self.Pos
		MovableMan:AddParticle(createdropper)
	end
end
