function Create(self)
	self.animTimer = Timer()
	self.DestroyTimer = Timer()
	self.frameChangeTime = math.random(100, 300)
	self.Scale = 0
	self.MaxScale = 0.9
	self.PopScale = 1.2
	self.maxFrame = 7
	self.minFrame = 1
	self.AngV = 0

	local chance = math.random(1, 2)
	if chance == 1 then
		self.HFlipped = true
		self.AngV = -25
	elseif chance == 2 then
		self.HFlipped = false
		self.AngV = 25
	end
end

function Update(self)
	if not self.Parent then
		for i = 1, MovableMan:GetMOIDCount() - 1 do
			local mo = MovableMan:GetMOFromID(i)
			if mo.PresetName == "Spinner2" then
			end
			if mo.PresetName == "Spinner2" and mo.RootID == self.RootID then
				self.Parent = ToMovableObject(mo)
				break
			end
		end
	end

	if self.Parent then
		if self.Parent.PresetName == "Spinner2" and self.Parent.ID ~= 255 then
			if self.Parent.Sharpness == 1 then
				if self.Scale <= self.MaxScale then
					self.Scale = self.Scale + 0.01
					self.RotAngle = self.RotAngle + math.random(0.2, 0.8)
				end
			end
		else
			self.Scale = self.Scale + 0.001
			self.AngularVel = self.AngV

			if self.Scale >= self.PopScale then
				self:GibThis()
				local createmissile = CreateMOSRotating("Spinner Seed", "Xenobiology.rte")
				createmissile.Pos = self.Pos
				MovableMan:AddParticle(createmissile)
			end
		end
	end
end
