function Create(self)
	self.alliedTeam = -1
	self.lastAngle = self.RotAngle
	self.lastVel = Vector(self.Vel.X, self.Vel.Y)
end

function Update(self)
	self.lastAngle = self.RotAngle
	self.lastVel = Vector(self.Vel.X, self.Vel.Y)

	if self.ID == self.RootID and self.alliedTeam == -1 then
		self.curdist = 1000
		for actor in MovableMan.Actors do
			local dist = SceneMan:ShortestDistance(self.Pos, actor.Pos, SceneMan.SceneWrapsX).Magnitude
			if dist < self.curdist then
				self.curdist = dist
				self.alliedTeam = ToActor(actor).Team
			end
		end
	end

	local rayHitPos = Vector(0, 0)
	local terrainRaycast = SceneMan:CastStrengthRay(
		self.Pos,
		Vector(self.Vel.X, self.Vel.Y):SetMagnitude(150),
		0,
		rayHitPos,
		0,
		0,
		SceneMan.SceneWrapsX
	)

	if terrainRaycast == true then
		for i = 1, 1 do
			self:GibThis()
			local create = CreateACDropShip("Baby Celadwen", "Xenobiology.rte")
			create.Pos = self.Pos
			create.Vel = Vector(0, 0)
			create.RotAngle = 0
			create.AIMode = 2
			MovableMan:AddActor(create)
		end
	end
end
